Description

Supportanfrage:

Hallo,

kann der o.g. Reader mehrfach instanziiert werden, oder gibt es da mögliche Einschränkungen

auf nur eine Instanz?

Wir haben hier ein unerklärbares Verhalten in einem Tool, welches zwei DATs miteinander

vergleicht und damit zwei Reader benutzt.

Grüße

G. Eichhorn

Lösung:

Die mehrfache Verwendung/Instanzierung von IADTFFileReader ist möglich.

History

#1 - 2017-03-08 11:21 - hidden

- Project changed from Public Support to 5

- Status changed from New to Customer Feedback Required

- Topic set to StreamingLib::Reader

An den Anwender:

Hallo Gerd,

ja die mehrfache Verwendung/Instanzierung von IADTFFileReader ist möglich.

Habe das ganze gerade kurz mit dem additionaldata Beispiel nachgestellt.

Was genau heißt "unerklärbares Verhalten" ?

Um euch weiterhelfen zu können, brauche ich mehr Infos zum Fehlerfall.

#2 - 2017-03-08 12:11 - hidden

Hallo Stephan,

danke für die Info. Das Verhalten tritt nur auf WinServer 2012 auf,

deshalb wollte ich sicher gehen, dass zwei Instanzen "parallel"

funktionieren. Lokal kein Problem, also Ticket bitte schließen, danke.

Gruß

Gerd

#3 - 2017-03-08 13:07 - hidden

- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

An den Anwender:

Hallo Gerd,

da Windows Server 2012 nicht supported bzw. dagegen getestet wird, kann es zu solchen Fehlern kommen.

Können wir das Ticket public machen?

@Florian, Ticket kann geschlossen werden.

#4 - 2017-03-08 14:40 - hidden

Ja, kann public gemacht werden.

#5 - 2017-03-09 12:23 - hidden

- Project changed from 5 to Public Support

- Subject changed from Mehrfache Verwendung von IADTFFileReader möglich? to Possibilty to use more instances of the IADTFFileReader ?

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
